    PROGRAM d01gyfe

!      D01GYF Example Program Text

!      Mark 23 Release. NAG Copyright 2011.

!      .. Use Statements ..
       USE nag_library, ONLY : d01gyf, nag_wp
!      .. Implicit None Statement ..
       IMPLICIT NONE
!      .. Parameters ..
       INTEGER, PARAMETER              :: ndim = 4, nout = 6
!      .. Local Scalars ..
       INTEGER                         :: ifail, npts
!      .. Local Arrays ..
       REAL (KIND=nag_wp)              :: vk(20)
!      .. Executable Statements ..
       WRITE (nout,*) 'D01GYF Example Program Results'

       npts = 631

       ifail = 0
       CALL d01gyf(ndim,npts,vk,ifail)

       WRITE (nout,*)
       WRITE (nout,99999) 'NDIM =', ndim, ' NPTS =', npts
       WRITE (nout,*)
       WRITE (nout,99998) 'Coefficients =', vk(1:ndim)

99999  FORMAT (1X,A,I3,A,I6)
99998  FORMAT (1X,A,4F6.0)
    END PROGRAM d01gyfe
